<?php
/**
 * Instagram Gallery
 * WP admin panel plugin page
 */

// current page url
define('INSGALLERY_URL_ADMIN_PAGE', menu_page_url('insta_gallery', false));



$InstaGalleryItems = get_option('insta_gallery_items');
$ig_page_msgs = array();
// add/update gallery item
if (isset($_POST['ig-form-update'])) {
    // filtering data
    $POSTDATA  = filter_input_array(INPUT_POST, FILTER_SANITIZE_STRING);
    $IGItem = array();
    $IGItem['ig_select_from'] = $POSTDATA['ig_select_from'];
    $IGItem['insta_user'] = (string)$POSTDATA['insta_user'];
    $IGItem['insta_tag'] = (string)$POSTDATA['insta_tag'];
    $IGItem['insta_limit'] = $POSTDATA['insta_limit'];
    $IGItem['ig_display_type'] = $POSTDATA['ig_display_type'];
    $IGItem['insta_gal-cols'] = $POSTDATA['insta_gal-cols'];
    $IGItem['insta_gal-hover'] = @$POSTDATA['insta_gal-hover'];
    $IGItem['insta_gal-spacing'] = @$POSTDATA['insta_gal-spacing'];
    $IGItem['insta_instalink'] = @$POSTDATA['insta_instalink'];
    $IGItem['insta_instalink-text'] = trim(esc_html(@$POSTDATA['insta_instalink-text']));
    $IGItem['insta_car-slidespv'] = $POSTDATA['insta_car-slidespv'];
    $IGItem['insta_car-navarrows'] = @$POSTDATA['insta_car-navarrows'];
    $IGItem['insta_car-dots'] = @$POSTDATA['insta_car-dots'];
    $IGItem['insta_car-spacing'] = @$POSTDATA['insta_car-spacing'];
    $IGItem['insta_thumb-size'] = @$POSTDATA['insta_thumb-size'];
    $IGItem['insta_hover-color'] = sanitize_text_field(@$POSTDATA['insta_hover-color']);
    $IGItem['insta_gal-popup'] = @$POSTDATA['insta_gal-popup'];
    $IGItem['insta_likes'] = @$POSTDATA['insta_likes'];
    $IGItem['insta_comments'] = @$POSTDATA['insta_comments'];
    
    // removing @, # and trimming input
    $IGItem['insta_user'] = trim($IGItem['insta_user']);
    $IGItem['insta_tag'] = trim($IGItem['insta_tag']);
    if (substr($IGItem['insta_user'], 0, 1) == '@')
        $IGItem['insta_user'] = substr($IGItem['insta_user'], 1);
    if (substr($IGItem['insta_tag'], 0, 1) == '#')
            $IGItem['insta_tag'] = substr($IGItem['insta_tag'], 1);
    
            
    if (isset($POSTDATA['igitem_id'])) {
        $InstaGalleryItems[(int) $POSTDATA['igitem_id']] = $IGItem;
    } else {
        $InstaGalleryItems[] = $IGItem;
        if (isset($InstaGalleryItems[0])) { // for preventing 0 key generation
            $InstaGalleryItems[] = $InstaGalleryItems[0];
            unset($InstaGalleryItems[0]);
        }
    }
    update_option('insta_gallery_items', $InstaGalleryItems);
    $ig_page_msgs[] = 'Gallery item updated successfully.';
}

// delete gallery item
if (isset($_GET['ig_item_delete'])) {
    $item_id = (int) $_GET['ig_item_delete'];
    if (isset($InstaGalleryItems[$item_id])) {
        unset($InstaGalleryItems[$item_id]);
        update_option('insta_gallery_items', $InstaGalleryItems);
    }
    $ig_page_msgs[] = 'Gallery item deleted successfully.';
}

?>
<div id="ig-page">
	<div class="wrap">
		<header class="ig-page-header">
			<img src="<?php echo INSGALLERY_URL; ?>/assets/media/icon-128x128.jpg" class="ig-logo" />
			<h3>Instagram Gallery:</h3>
			<p>easy way to display your Instagram pictures on the website.</p>
		</header>
		<hr />
		<div class="ig-page-content">
			<?php
if (! empty($ig_page_msgs)) {
    foreach ($ig_page_msgs as $ig_page_msg) {
        echo '<div class="notice updated my-acf-notice is-dismissible ig_page_msg" ><p>' .
             $ig_page_msg . '</p></div>';
    }
}
?>
			<?php
if (isset($_GET['tab']) && ! empty($_GET['tab'])) {
    $tab = (string) $_GET['tab'];
    switch ($tab) {
        case 'edit':
            include 'views/edit.php';
            break;
        default:
            break;
    }
} else {
    include 'views/list.php';
}
?>
		</div>
		<hr />
	</div>
</div>

