/**
 * Instagram Gallery 1.4.1
 * script for insta-gallery wp plugin
 * 
 */

( function( $ ) {
	// load insta gallery content
	function load_ig_gallery(){
		$('.ig-block').each(function(){
			var $e = $(this);
			if($e.hasClass('ig-block-loaded')){
				return true;
			}else{
	        	$e.addClass('ig-block-loaded');
			}
			var $spinner = $e.find('.ig-spinner');
			var igalid = parseInt($e.data('igalid'));
			if(!$spinner.length || isNaN(igalid)){
				return;
			}
			
			// check internet connection
			if(!navigator.onLine){
				$e.append('you are OFFLINE, please connect to internet to view Instagram Gallery.');
				return;
			}
			jQuery.ajax({
				url : insgalajax.ajax_url,
				type : 'post',
	            dataType: 'JSON',
				data : {
					action : 'load_ig_item',
					igalid : igalid
				},
				cache: true,
				beforeSend : function()
				{
					$spinner.show();
				},
				success : function( response ) {
					if((typeof response == 'undefined') || (response == null) || (response == 0)) return;
					if ((typeof response === 'object') && response.igsuccess) {
	                    if (response.result) {
	        				$e.append( response.result );
	        				update_ig_dstyle(igalid);
	                    }
	                }
				}
			}).fail(function (jqXHR, textStatus) {
	            console.log(textStatus);
	        }).always(function()
			{
				$spinner.hide();
				if($e.find('.instagallery-actions').length){
					$spinner.prependTo($e.find('.instagallery-actions'));
				}
			});
		});
	}
	
	// update dynamic css
	function update_ig_dstyle(igalid){
		if(igalid == '') return;
		igalid = parseInt(igalid);
		var ig_itemsw = '#instagal-'+igalid;
		if(!$(ig_itemsw).length) return;
		var ig_dstyle = '';
		if ($(ig_itemsw).attr('data-hvcolor') && ($(ig_itemsw).data('hvcolor') != '')) {
			ig_dstyle += ig_itemsw+' .ig-item.ighover a:hover:after, '+ig_itemsw+' .swiper-slide a:hover:after {background: '+$(ig_itemsw).data('hvcolor')+';}';
		}
		if(ig_dstyle != ''){
			$('head').append('<style>'+ig_dstyle+'</style>');
		}		
	}
	// start loading as the script loaded
	if($('.ig-block').length){
		load_ig_gallery();
	}
	
	jQuery(function($){
		load_ig_gallery();
	});
		
} )( jQuery );

